<div class="network-stat-container">
  <div class="network-title"> {{networkStat.name}} </div>
  <div class="network-stat-line">
    <p>{{'COMPARE_NETWORK.STATS.COST' | translate}}</p>
    <geodesign-compare-network-difference-bar [data]="networkStat?.coutTotal" type="cout" [percent]="comparedStats?.coutTotal"
                                              class="difference-bar-component"></geodesign-compare-network-difference-bar>
  </div>
  <div class="network-stat-line">
    <p>{{'COMPARE_NETWORK.STATS.KMTOTAL' | translate}}</p>
    <geodesign-compare-network-difference-bar [data]="networkStat?.kmTotal" type="km" [percent]="comparedStats?.kmTotal"
                                              class="difference-bar-component"></geodesign-compare-network-difference-bar>
  </div>
  <div class="network-stat-line">
    <p>{{'COMPARE_NETWORK.STATS.POPTOTAL' | translate}}</p>
    <geodesign-compare-network-difference-bar [data]="networkStat?.popTotal" [percent]="comparedStats?.popTotal"
                                              class="difference-bar-component"></geodesign-compare-network-difference-bar>
  </div>
  <div class="network-stat-line">
    <p>{{'COMPARE_NETWORK.STATS.LINENBR' | translate}}</p>
    <geodesign-compare-network-difference-bar [data]="networkStat?.lineNbr" [percent]="comparedStats?.lineNbr"
                                              class="difference-bar-component"></geodesign-compare-network-difference-bar>
  </div>
  <div class="network-stat-line">
    <p>{{'COMPARE_NETWORK.STATS.BUSNBR' | translate}}</p>
    <geodesign-compare-network-difference-bar [data]="networkStat?.busNbr" [percent]="comparedStats?.busNbr"
                                              class="difference-bar-component"></geodesign-compare-network-difference-bar>
  </div>
</div>
